#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF8,0x7D,0xBB,0x6D,0x90,0xD9,0xD4,0x9E,0xEB,0x4A,0x2D,0xCD,
		0x51,0x60,0x8D,0xD1,0x0F,0x7B,0x26,0x65,0xD7,0xD6,0x63,0x08,
		0xB4,0x19,0xE6,0xD2,0xC7,0x59,0x3B,0x2E,0x01,0x83,0x0F,0xF0,
		0x6C,0x36,0x05,0x28,0x0D,0x16,0xB4,0x4F,0xC9,0x86,0x88,0xFB,
		0x3A,0x12,0xC5,0x0C,0x67,0x1D,0x36,0xE5,0x2F,0x29,0xBA,0x82,
		0x73,0x19,0xE3,0xFF,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
